QGIS Application - Bug report #12314
QGIS crashes when creating a raster layer histogramm
2015-03-04 08:47 AM - Patrick Patrick

Status: Rejected

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.8.1 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 20492
Description

Hello,

| used the 'raster layer histogram' for the first time on a elevation raster (DEM / file: TIFF).

| get an error which seems to appear at the end of the process.

Screenshot attached.

History

#1 - 2015-03-04 08:48 AM - Patrick Patrick
- Assignee deleted (Victor Olaya)

#2 - 2015-03-05 04:38 PM - Giovanni Manghi

cannot confirm here on both Linux and Windows. Please attach sample data.

#3 - 2015-03-17 07:20 AM - Radoslaw Guzinski

I can confirm it on my computer (QGIS 2.8.1 from OSGeo4W, Windows 7, 64 bit). The crash seems to be caused by this issue:

http:/trac.osgeo.org/osgeo4w/ticket/451

A temporary fix is to replace matplotlib 1.3.1 with matplotlib 1.3.0 using the OSGeo4W installer.

#4 - 2015-04-10 05:34 AM - Alexander Bruy
- Resolution set to worksforme
- Status changed from Open to Rejected

Works fine in master and 2.8.1, Seems this is not Processing nor QGIS issue but bug in the specific matplotlib version/build.
